net.i2p.i2ptunnel.socks

## Class SOCKSHeader

- java.lang.Object
- - net.i2p.i2ptunnel.socks.SOCKSHeader

-     public class SOCKSHeader
      extends Object

  Save the SOCKS header from a datagram Ref: RFC 1928
  Author:
    zzz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOCKSHeader(byte[] data)`
    `SOCKSHeader(Destination dest)` Make a dummy header from a dest, for those cases where we want to receive unsolicited datagrams.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()`
    `Destination` | `getDestination()`
    `String` | `getHost()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SOCKSHeader

          public SOCKSHeader(byte[] data)

      Parameters:
        `data` - the whole packet

    - #### SOCKSHeader

          public SOCKSHeader(Destination dest)

      Make a dummy header from a dest, for those cases where we want to receive unsolicited datagrams. Unused for now.

  - ### Method Detail

    - #### getHost

          public String getHost()

    - #### getDestination

          public Destination getDestination()

    - #### getBytes

          public byte[] getBytes()